[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

subversion: problems using preview-latex with files checked out from subversion repository

From: Faheem Mitha <faheem_at_email.unc.edu>
Date: 2003-04-26 05:17:12 CEST

Dear People,

Hi, sorry, it's me again. I seem to have stumbled across a rather obscure
bug. This seems to involve some kind of collision between the emacs lisp
package preview-latex, which is for editing latex files, and the emacs
support for subversion. See the bug report I just sent to Debian below.

I am not sure if the emacs support for subversion is an official part of
the subversion project, but I'm writing in case anyone has any ideas about
this. As I state in the bug report below, the easiest thing to do would
probably to switch off emacs support for subversion, except that I have no
idea how to do this. I certainly didn't turn anything on myself.

                                             Faheem.

---------- Forwarded message ----------
Date: Fri, 25 Apr 2003 23:03:45 -0400
From: Faheem Mitha <faheem@email.unc.edu>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: subversion: problems using preview-latex with files checked out
    from subversion repository

Package: subversion
Version: 0.21.0-0.woody.1
Severity: normal

Hi,

I seem to have run across a rather obscure bug. For this one to show up, you
need to have preview-latex installed, and be using it on a latex file
checked out from a subversion repository.

On trying to run preview-latex commands like "C-p C-p" or "C-p C-r", I see
in the minibuffer the error

"cond: Couldn't parse output from svn status -v'"

Strangely enough, running "C-p C-d" gives no problem.

This is presumably somehow caused by emacs support for subversion. I guess a
workaround would be to turn off emacs support for subversion, which I am not
using anyway. Could you tell me how to do that?

Thanks.

                                                    Faheem.

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux Chrestomanci 2.4.17 #1 Mon Jun 24 18:03:29 EDT 2002 i686
Locale: LANG=C, LC_CTYPE=C

Versions of packages subversion depends on:
ii db4.1-util 4.1.25-4 Berkeley v4.1 Database Utilities
ii libapr0 2.0.45-2.woody.2 The Apache Portable Runtime
ii libc6 2.3.1-16 GNU C Library: Shared libraries an
ii libdb4.1 4.1.25-4 Berkeley v4.1 Database Libraries [
ii libexpat1 1.95.6-4 XML parsing C library - runtime li
ii libgdbmg1 1.7.3-27.1 GNU dbm database routines (runtime
ii libldap2 2.0.27-4 OpenLDAP libraries (without TLS su
ii libneon23 0.23.8-1 An HTTP and WebDAV client library
ii libsasl7 1.5.27-3.5 Authentication abstraction library
ii libssl0.9.6 0.9.6j-1 SSL shared libraries (old version)
ii libsvn0 0.21.0-0.woody.1 Subversion shared libraries - in d
ii libxml2 2.5.4-1 GNOME XML library
ii patch 2.5.4-11 Apply a diff file to an original
ii zlib1g 1:1.1.4-11 compression library - runtime

-- no debconf information

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@subversion.tigris.org
For additional commands, e-mail: dev-help@subversion.tigris.org
Received on Sat Apr 26 05:19:09 2003

This is an archived mail posted to the Subversion Dev mailing list.